Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class benchmark

    java.lang.Object
      |
      +--spki.benchmark

public class benchmark
extends Object

This program performs performance benchmarking on the class library. run 'java spki.benchmark -h' to see run-time options available.

Version:
  $Id: benchmark.java,v 1.4 2002/08/05 18:55:10 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>, adapted from SPKI.test by Per Harald Myrvang <perm@pasta.cs.uit.no>

Field Summary
`(package private) static String` | `__ME`
`(package private) static int` | `BITS`
`(package private) static int` | `DEPTH`
`(package private) static Date` | `finish`
`(package private) static Hash` | `hash`
`(package private) static String` | `HASH_ALG`
`(package private) static int` | `HASHING_ROUNDS`
`(package private) static Key[][]` | `keypairs`
`(package private) static int` | `PAIRS`
`(package private) static boolean` | `PAUSE`
`(package private) static byte[]` | `plaintext`
`(package private) static int` | `PLAINTEXT_LENGTH`
`(package private) static PrivateKey` | `priv`
`(package private) static HashDB` | `priv_keydb`
`(package private) static String` | `PRIVDB_PATH`
`(package private) static PrivateKey[]` | `privkeys`
`(package private) static PublicKey` | `pub`
`(package private) static String` | `PUB_ALG`
`(package private) static HashDB` | `pub_keydb`
`(package private) static String` | `PUBDB_PATH`
`(package private) static PublicKey[]` | `pubkeys`
`(package private) static int` | `REDUCTION_ROUNDS`
`(package private) static SeqEntry[]` | `seq_entries`
`(package private) static Sequence` | `sequence`
`(package private) static Signature` | `sig`
`(package private) static int` | `SIGNING_ROUNDS`
`(package private) static Date` | `start`
`(package private) static int` | `VERIFICATION_ROUNDS`

Constructor Summary
`benchmark()`

Method Summary
`(package private) static void` | `buildPlainText()`
`(package private) static void` | `hashing()`
`(package private) static void` | `keyGen()`
`static void` | `main(String[] args)`
`(package private) static void` | `reduceCBACDelegationChain()`
`(package private) static void` | `reduceCBACNameMappingChain()`
`(package private) static void` | `reduceCBACThresholdChain()`
`(package private) static void` | `reduceCBACTransferChain()`
`(package private) static void` | `reduceRBACDelegationChain()`
`(package private) static void` | `reduceRBACThresholdChain()`
`(package private) static void` | `reduceRBACTransferChain()`
`(package private) static void` | `signing()`
`(package private) static void` | `verifying()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### __ME

    static String __ME

### PAUSE

    static boolean PAUSE

### HASH_ALG

    static String HASH_ALG

### PUB_ALG

    static String PUB_ALG

### BITS

    static int BITS

### PAIRS

    static int PAIRS

### PUBDB_PATH

    static String PUBDB_PATH

### PRIVDB_PATH

    static String PRIVDB_PATH

### PLAINTEXT_LENGTH

    static int PLAINTEXT_LENGTH

### HASHING_ROUNDS

    static int HASHING_ROUNDS

### SIGNING_ROUNDS

    static int SIGNING_ROUNDS

### VERIFICATION_ROUNDS

    static int VERIFICATION_ROUNDS

### REDUCTION_ROUNDS

    static int REDUCTION_ROUNDS

### DEPTH

    static int DEPTH

### start

    static Date start

### finish

    static Date finish

### plaintext

    static byte[] plaintext

### hash

    static Hash hash

### keypairs

    static Key[][] keypairs

### pubkeys

    static PublicKey[] pubkeys

### privkeys

    static PrivateKey[] privkeys

### pub_keydb

    static HashDB pub_keydb

### priv_keydb

    static HashDB priv_keydb

### pub

    static PublicKey pub

### priv

    static PrivateKey priv

### sig

    static Signature sig

### seq_entries

    static SeqEntry[] seq_entries

### sequence

    static Sequence sequence

Constructor Detail

### benchmark

    public benchmark()

Method Detail

### main

    public static void main(String[] args)

### buildPlainText

    static void buildPlainText()
                        throws Exception

### keyGen

    static void keyGen()
                throws Exception

### hashing

    static void hashing()
                 throws Exception

### signing

    static void signing()
                 throws Exception

### verifying

    static void verifying()
                   throws Exception

### reduceCBACDelegationChain

    static void reduceCBACDelegationChain()
                                   throws Exception

### reduceRBACDelegationChain

    static void reduceRBACDelegationChain()
                                   throws Exception

### reduceCBACTransferChain

    static void reduceCBACTransferChain()
                                 throws Exception

### reduceCBACNameMappingChain

    static void reduceCBACNameMappingChain()
                                    throws Exception

### reduceRBACTransferChain

    static void reduceRBACTransferChain()
                                 throws Exception

### reduceCBACThresholdChain

    static void reduceCBACThresholdChain()
                                  throws Exception

### reduceRBACThresholdChain

    static void reduceRBACThresholdChain()
                                  throws Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD